## mycompiler.mytypereconstruction.set
Class CSubstitutionSet

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CMengeSet<CSubstitution>
              mycompiler.mytypereconstruction.set.CSubstitutionSet

    public class CSubstitutionSet

extends CMengeSet<CSubstitution>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  J�rg B�uerle

Constructor Summary
`CSubstitutionSet()`
`CSubstitutionSet(de.dhbwstuttgart.typeinference.Menge<Pair> unifiers)`

Method Summary
`void` `applyUnifier(CSubstitutionSet unifier)` Wendet den Unifier auf die rechten Seiten alle Substitutionen an.
`CSubstitutionSet` `deepCopy()`
`void` `execute()` F�hrt jede einzelne `CSubstitution` aus.
`CSubstitutionSet` `shallowCopy()`

Methods inherited from class mycompiler.mytypereconstruction.set.CMengeSet
`addElement, contains, equals, getCardinality, getIterator, getMenge, removeElement, setMenge, subtract, unite`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSubstitutionSet

    public CSubstitutionSet()

### CSubstitutionSet

    public CSubstitutionSet(de.dhbwstuttgart.typeinference.Menge<Pair> unifiers)
                     throws CTypeReconstructionException

Throws:
  `CTypeReconstructionException`

Method Detail

### shallowCopy

    public CSubstitutionSet shallowCopy()

  Specified by:
    `shallowCopy` in class `CSet<CSubstitution>`

### deepCopy

    public CSubstitutionSet deepCopy()

  Specified by:
    `deepCopy` in class `CSet<CSubstitution>`

### applyUnifier

    public void applyUnifier(CSubstitutionSet unifier)

  Wendet den Unifier auf die rechten Seiten alle Substitutionen an.
  Author: J�rg B�uerle

  Parameters:
    `unifier` -

### execute

    public void execute()
                 throws CTypeReconstructionException

  F�hrt jede einzelne `CSubstitution` aus.
  Author: J�rg B�uerle

  Throws:
    `CTypeReconstructionException` - Falls TyploseVariable nicht in Registry gefunden wird.